DKPDoor Knock Pro Docs
Leads

Show a lead

GET
/v1/leads/{id}

Authorization

X-Api-Key<token>

Company API key (format: dkp_...). Required on every request.

In: header

AuthorizationRequiredBearer <token>

In: header

Path Parameters

idRequiredinteger

Query Parameters

includestring
curl -X GET "https://app.doorknockpro.com/api/v1/leads/0?include=%3Cstring%3E" \
  -H "X-Api-Key: <token>" \
  -H "Authorization: Bearer <token>"

OK

{
  "data": {
    "id": 0,
    "name": "string",
    "email": "string",
    "phone": "string",
    "alter_email": "string",
    "alter_phone": "string",
    "notes": "string",
    "property_type_id": 0,
    "team_id": 0,
    "created_by": 0,
    "lead_status_id": 0,
    "appointment": "2019-08-24T14:15:22Z",
    "related_assets": [
      "string"
    ],
    "address": {
      "house": "string",
      "street": "string",
      "city": "string",
      "state_province": "string",
      "country": "string",
      "zip_code": "string"
    },
    "location": {
      "lat": 0,
      "lng": 0
    },
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}